# Gimp.BatchFunc

    @accepts(Gimp.Procedure, Gimp.RunMode, unicode, Gimp.ProcedureConfig, gpointer)
    @returns(Gimp.ValueArray)
    def on_BatchFunc(procedure, run_mode, command, config, run_data):

The batch function is run during the lifetime of the GIMP session, each time a plug-in batch procedure is called.

Since 3.0

procedure

  the Gimp.Procedure that runs.

run_mode

  the Gimp.RunMode.

command
config

  the procedure's remaining arguments.

run_data

  the run_data given in Gimp.BatchProcedure.new.

Returns

  the procedure's return values.